This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 746295 - virt-make-fs doesn't set partition ID
virt-make-fs doesn't set partition ID
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-14 13:20 EDT by Richard W.M. Jones
Modified: 2011-10-21 11:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-21 11:03:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2011-10-14 13:20:16 EDT
Description of problem:

virt-make-fs should set the partition ID (for MBR, or whatever
the equivalent is for GPT).  The problem at the moment is that
if you create a filesystem containing FAT or NTFS, then Windows
guests refuse to "see" the filesystem until you manually set
the partition type.

Version-Release number of selected component (if applicable):

1.13.21

How reproducible:

100%

Steps to Reproduce:
1. Use virt-make-fs to create a Windows filesystem.
2. Attach it to a Windows guest.
  
Actual results:

Windows guest doesn't see any content and refuses to mount
the partition, until you set the partition type byte, eg.
setting it to 7 if it's NTFS.

Expected results:

We can't fix Windows, so we have to fix virt-make-fs instead.

Additional info:

Linux naturally doesn't care.

Note You need to log in before you can comment on or make changes to this bug.